ffmpeg for 3.2 beta

Oh, that explains it. Apparently the installer doesn’t work with the new M1 / M2 chips.

Unfortunately the latest instructions from the new manual don’t provide much detail other than saying to use Homebrew: https://support.audacityteam.org/basics/downloading-and-installing-audacity/installing-ffmpeg

I don’t have an M1/M2 Mac, and I’ve never use Homebrew.

The ZIP version from https://lame.buanzo.org/#lameosx64bitdl should still work, even though it is a bit old. The important thing with this is that it must be “extracted” (un-zipped) and you have to manually put it into the correct place.

Some Macs will automatically extract Zip files when they are downloaded, while on others it is necessary to extract the contents of the Zip file after it has downloaded.

Zip file contains three files:
ffmpeg.55.64bit.dylib
ffmpeg_codecs.55.64bit.dylib
ffmpeg_utils.52.64bit.dylib

All three of those files should be place into the folder:
/Library/Application Support/audacity/libs

See also near the bottom of this page: https://manual.audacityteam.org/man/installing_ffmpeg_for_mac.html
and see the first reply from Bill in this topic: https://forum.audacityteam.org/t/audacity-cant-find-ffmpeg-55-64bit-dylib/61605/6

Good luck.